Workspaces

Operations of the Interactive Session API. Paths are relative to your deployment's API host.

GET /api/agent-session-api/workspaces

List Workspaces in the caller's verified project owner space using cursor pagination

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
cursorquerystringnoOpaque cursor returned by the previous page.
limitquerynumberno
statusqueryWorkspaceStatusno
StatusDescriptionBody
200application/json WorkspaceResponseDtoPaginatedEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/agent-session-api/workspaces

Create a durable Workspace identity in the caller's verified project owner space

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json CreateWorkspaceDto

StatusDescriptionBody
201application/json WorkspaceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

GET /api/agent-session-api/workspaces/{workspaceId}

Get a Workspace from the verified owner space

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
workspaceIdpathstringyes
StatusDescriptionBody
200application/json WorkspaceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/agent-session-api/workspaces/{workspaceId}/archive

Archive a Workspace after verifying owner scope and absence of an active write lease

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
workspaceIdpathstringyes
StatusDescriptionBody
200application/json WorkspaceResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto